=== debian/changelog ===
deepin-movie-reborn (5.9.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 18 Mar 2022 16:50:00 +0800

deepin-movie-reborn (3.0.0-1) unstable; urgency=low

  * First release.

 -- Sian Cao <yinshuiboy@gmail.com>  Wed, 15 Mar 2017 16:40:00 +0800
