=== debian/changelog ===
deepin-movie-reborn (5.10.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 May 2022 11:30:33 +0800
