## deepin-movie-reborn 5.10.6

=== debian/changelog ===
deepin-movie-reborn (5.10.6-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 09:19:41 +0800

deepin-movie-reborn (6.0.1) unstable; urgency=medium

  * New version 6.0.1.

 -- fengli <fengli@uniontech.com>  Tue, 13 Jul 2022 10:08:00 +0800
