=== tests/ut_dmr-test/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,6 @@
 find_package(Qt5 REQUIRED ${QtModule})
 
 pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
-pkg_check_modules(AV REQUIRED IMPORTED_TARGET libavformat libavutil libavcodec)
 
 include_directories(../../examples/test)
 include_directories(../../src)
@@ -69,9 +68,8 @@
 # 使用第三方库需要用到的一个包
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(3rd_lib REQUIRED
-        dtkwidget dtkgui libffmpegthumbnailer
-        libpulse dvdnav gsettings-qt  mpv x11 xext xtst xcb gl
-        libavformat libavcodec libavutil
+        dtkwidget dtkgui
+        libpulse dvdnav gsettings-qt x11 xext xtst xcb gl
         xcb-aux xcb-proto xcb-ewmh xcb-shape mpris-qt5 dbusextended-qt5 libva libva-x11
         )
     #libpulse-simple xcb-aux gtest
