=== debian/changelog ===
deepin-movie-reborn (5.10.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Explicitly disable LTO build. (Closes: #1015384)
    + Drop unnecessary override on dh_missing.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Aug 2022 13:26:12 -0400

deepin-movie-reborn (5.10.5-1) unstable; urgency=medium

  * debian/control:
    + Add build-dep package.
    + Bump Standards-Version to 4.6.1.0.
  * debian/copyright:
    + Update Upstream-Contact.
    + Update files copyright information.
  * debian/libdmr0.1.shlibs:
    + Update version.
  * debian/patches:
    + Remove useless patches.
    + Update other patches.
  * debian/upstream/metadata:
    + Update Bug-Database and Bug-Submit address.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 17:26:34 +0800

deepin-movie-reborn (5.7.15-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Remove manual dependencies on libav* (Closes: #1014198)
    These dependencies are already added by ${shlibs:Depends}.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Jul 2022 22:33:15 +0200

deepin-movie-reborn (5.7.15-3) unstable; urgency=medium

  * debian/patches:
    + Add patch to fix FTBFS with ffmpeg 5.0 (Closes: #1004807).

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Tue, 12 Apr 2022 14:45:15 +0545
