=== debian/control ===
Source: deepin-movie-reborn
Section: video
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Clay Stan <claystan97@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libdbusextended-qt5-dev,
 libdtkcore5-bin (>=5.5~),
 libdtkwidget-dev (>=5.5~),
 libdvdnav-dev,
 libffmpegthumbnailer-dev,
 libgsettings-qt-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libmpris-qt5-dev,
 libmpv-dev,
 libpulse-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libxcb-ewmh-dev,
 libxcb-shape0-dev,
 libxcb-util-dev,
 libxcb1-dev,
 libxtst-dev,
 libva-dev,
 pkg-config,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 x11proto-record-dev,
 xcb-proto,
Rules-Requires-Root: no
Standards-Version: 4.6.1.0
Homepage: https://github.com/linuxdeepin/deepin-movie-reborn
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-movie-reborn

Package: deepin-movie
Architecture: any
Depends:
 libdmr0.1 (= ${binary:Version}),
 libffmpegthumbnailer4v5,
 libmpris-qt5-1 (>=0.1.0.1),
 libmpv1 (>=0.29),
 libpulse0 (>=0.99.1),
 libqt5concurrent5 (>=5.6.0~rc),
 libgstreamer1.0-0,
 libgstreamer-plugins-base1.0-0,
 va-driver-all,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: libgpuinfo
Description: Deepin movie player
 Deepin Movie provides an intuitive easy to use operation interface and rich
 complete shortcuts. You can complete all play operations by keyboard, which
 will make you thoroughly get rid of the constraint of mouse click. Video files
 in various formats can be played through Deepin Movie, and you can use the
 streaming function to easily enjoy online video resources.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdmr-dev
Section: libdevel
Architecture: any
Depends:
 libdmr0.1 (= ${binary:Version}),
 libgsettings-qt-dev,
 ${misc:Depends},
Multi-Arch: same
Description: Deepin movie player - widget library (development files)
 Deepin Movie provides an intuitive easy to use operation interface and rich
 complete shortcuts. You can complete all play operations by keyboard, which
 will make you thoroughly get rid of the constraint of mouse click. Video files
 in various formats can be played through Deepin Movie, and you can use the
 streaming function to easily enjoy online video resources.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the header files for the widget library.

Package: libdmr0.1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libffmpegthumbnailer4v5,
 libmpris-qt5-1 (>=0.1.0.1),
 libmpv1 (>=0.29),
 libpulse0 (>=0.99.1),
 libqt5concurrent5 (>=5.6.0~rc),
 libgstreamer-plugins-base1.0-0,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin movie player - widget library
 Deepin Movie provides an intuitive easy to use operation interface and rich
 complete shortcuts. You can complete all play operations by keyboard, which
 will make you thoroughly get rid of the constraint of mouse click. Video files
 in various formats can be played through Deepin Movie, and you can use the
 streaming function to easily enjoy online video resources.
 .
 This package is part of DDE (Deepin Desktop Environment).
 .
 This package contains the widget library.
